Index: trunk/examples/extended/electromagnetic/TestEm5/src/PhysicsList.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm5/src/PhysicsList.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm5/src/PhysicsList.cc	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: PhysicsList.cc,v 1.21 2007/11/19 14:57:07 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-01-patch-02 $
+// $Id: PhysicsList.cc,v 1.40 2009/11/15 22:10:03 maire Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -35,26 +35,20 @@
 #include "PhysListEmStandard.hh"
 #include "PhysListEmStandardSS.hh"
-#include "PhysListEmStandardIG.hh"
-#include "PhysListEmLivermore.hh"
-#include "PhysListEmPenelope.hh"
+#include "PhysListEmStandardGS.hh"
 
 #include "G4EmStandardPhysics.hh"
 #include "G4EmStandardPhysics_option1.hh"
 #include "G4EmStandardPhysics_option2.hh"
-
-#include "G4HadronElasticPhysics.hh"
-#include "G4HadronDElasticPhysics.hh"
-#include "G4HadronHElasticPhysics.hh"
-#include "G4HadronQElasticPhysics.hh"
-#include "G4HadronInelasticQBBC.hh"
-#include "G4IonBinaryCascadePhysics.hh"
-
-#include "G4LossTableManager.hh"
+#include "G4EmStandardPhysics_option3.hh"
+#include "G4EmLivermorePhysics.hh"
+#include "G4EmPenelopePhysics.hh"
+
+#include "G4Decay.hh"
+#include "StepMax.hh"
+
 #include "G4UnitsTable.hh"
 
 #include "G4ParticleDefinition.hh"
 #include "G4ProcessManager.hh"
-#include "G4Decay.hh"
-#include "StepMax.hh"
 
 // Bosons
@@ -84,18 +78,12 @@
 PhysicsList::PhysicsList() : G4VModularPhysicsList()
 {
-  G4LossTableManager::Instance();
   pMessenger = new PhysicsListMessenger(this); 
    
   // EM physics
-  emName = G4String("standard");
+  emName = G4String("local");
   emPhysicsList = new PhysListEmStandard(emName);
-
-  helIsRegisted  = false;
-  bicIsRegisted  = false;
-  biciIsRegisted = false;
-  
-  stepMaxProcess  = 0;
-    
+      
   defaultCutValue = 1.*mm;
+
   cutForGamma     = defaultCutValue;
   cutForElectron  = defaultCutValue;
@@ -110,5 +98,4 @@
 {
   delete emPhysicsList;
-  for(size_t i=0; i<hadronPhys.size(); i++) delete hadronPhys[i];
   delete pMessenger;  
 }
@@ -118,15 +105,12 @@
 void PhysicsList::ConstructParticle()
 {
-// pseudo-particles
+  // pseudo-particles
   G4Geantino::GeantinoDefinition();
   G4ChargedGeantino::ChargedGeantinoDefinition();
   
-// gamma
+  // gamma
   G4Gamma::GammaDefinition();
   
-// optical photon
-  G4OpticalPhoton::OpticalPhotonDefinition();
-
-// leptons
+  // leptons
   G4Electron::ElectronDefinition();
   G4Positron::PositronDefinition();
@@ -139,13 +123,13 @@
   G4AntiNeutrinoMu::AntiNeutrinoMuDefinition();  
 
-// mesons
+  // mesons
   G4MesonConstructor mConstructor;
   mConstructor.ConstructParticle();
 
-// barions
+  // barions
   G4BaryonConstructor bConstructor;
   bConstructor.ConstructParticle();
 
-// ions
+  // ions
   G4IonConstructor iConstructor;
   iConstructor.ConstructParticle();
@@ -158,5 +142,4 @@
   AddTransportation();
   emPhysicsList->ConstructProcess();
-  for(size_t i=0; i<hadronPhys.size(); i++) hadronPhys[i]->ConstructProcess();
   AddDecay();  
   AddStepMax();
@@ -193,5 +176,5 @@
 {
   // Step limitation seen as a process
-  stepMaxProcess = new StepMax();
+  StepMax* stepMaxProcess = new StepMax();
 
   theParticleIterator->reset();
@@ -217,5 +200,5 @@
   if (name == emName) return;
 
-  if (name == "standard") {
+  if (name == "local") {
 
     emName = name;
@@ -223,5 +206,5 @@
     emPhysicsList = new PhysListEmStandard(name);
 
-  } else if (name == "emstandard") {
+  } else if (name == "emstandard_opt0") {
 
     emName = name;
@@ -240,5 +223,11 @@
     delete emPhysicsList;
     emPhysicsList = new G4EmStandardPhysics_option2();
-
+    
+  } else if (name == "emstandard_opt3") {
+
+    emName = name;
+    delete emPhysicsList;
+    emPhysicsList = new G4EmStandardPhysics_option3();
+    
   } else if (name == "standardSS") {
 
@@ -246,47 +235,21 @@
     delete emPhysicsList;
     emPhysicsList = new PhysListEmStandardSS(name);
-        
-  } else if (name == "standardIG") {
-
-    emName = name;
-    delete emPhysicsList;
-    emPhysicsList = new PhysListEmStandardIG(name);
-        
-  } else if (name == "livermore") {
-
-    emName = name;
-    delete emPhysicsList;
-    emPhysicsList = new PhysListEmLivermore(name);
-    
-  } else if (name == "penelope") {
-
-    emName = name;
-    delete emPhysicsList;
-    emPhysicsList = new PhysListEmPenelope(name);
-
-  } else if (name == "elastic" && !helIsRegisted) {
-    hadronPhys.push_back( new G4HadronElasticPhysics());
-    helIsRegisted = true;
-
-  } else if (name == "DElastic" && !helIsRegisted) {
-    hadronPhys.push_back( new G4HadronDElasticPhysics());
-    helIsRegisted = true;
-
-  } else if (name == "HElastic" && !helIsRegisted) {
-    hadronPhys.push_back( new G4HadronHElasticPhysics());
-    helIsRegisted = true;
-
-  } else if (name == "QElastic" && !helIsRegisted) {
-    hadronPhys.push_back( new G4HadronQElasticPhysics());
-    helIsRegisted = true;
-
-  } else if (name == "binary" && !bicIsRegisted) {
-    hadronPhys.push_back(new G4HadronInelasticQBBC());
-    bicIsRegisted = true;
-
-  } else if (name == "binary_ion" && !biciIsRegisted) {
-    hadronPhys.push_back(new G4IonBinaryCascadePhysics());
-    biciIsRegisted = true;
-        
+
+  } else if (name == "standardGS") {
+
+    emName = name;
+    delete emPhysicsList;
+    emPhysicsList = new PhysListEmStandardGS(name);
+
+  } else if (name == "empenelope"){
+    emName = name;
+    delete emPhysicsList;
+    emPhysicsList = new G4EmPenelopePhysics();
+
+  } else if (name == "emlivermore"){
+    emName = name;
+    delete emPhysicsList;
+    emPhysicsList = new G4EmLivermorePhysics();
+                        
   } else {
 
@@ -301,5 +264,4 @@
 void PhysicsList::SetCuts()
 {
-
   if (verboseLevel >0){
     G4cout << "PhysicsList::SetCuts:";
@@ -341,3 +303,2 @@
 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
-
Index: trunk/examples/extended/electromagnetic/TestEm5/src/PhysicsListMessenger.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm5/src/PhysicsListMessenger.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm5/src/PhysicsListMessenger.cc	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: PhysicsListMessenger.cc,v 1.6 2006/06/29 16:56:07 gunter Exp $
-// GEANT4 tag $Name:  $
+// $Id: PhysicsListMessenger.cc,v 1.8 2009/03/06 18:04:23 maire Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -77,4 +77,5 @@
   allCutCmd->SetRange("cut>0.0");
   allCutCmd->AvailableForStates(G4State_PreInit,G4State_Idle);  
+
 }
 
Index: trunk/examples/extended/electromagnetic/TestEm5/src/PrimaryGeneratorAction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm5/src/PrimaryGeneratorAction.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm5/src/PrimaryGeneratorAction.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PrimaryGeneratorAction.cc,v 1.4 2006/06/29 16:56:09 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm5/src/PrimaryGeneratorMessenger.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm5/src/PrimaryGeneratorMessenger.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm5/src/PrimaryGeneratorMessenger.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PrimaryGeneratorMessenger.cc,v 1.4 2006/06/29 16:56:12 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm5/src/RunAction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm5/src/RunAction.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm5/src/RunAction.cc	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: RunAction.cc,v 1.25 2007/11/21 17:41:19 maire Exp $
-// GEANT4 tag $Name: geant4-09-01-patch-02 $
+// $Id: RunAction.cc,v 1.29 2009/06/18 19:08:18 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -122,7 +122,7 @@
   else            rmsStNe = 0.;
 
-  G4double Gamma = (double)nbGamma/TotNbofEvents;
-  G4double Elect = (double)nbElect/TotNbofEvents;
-  G4double Posit = (double)nbPosit/TotNbofEvents;
+  G4double Gamma = (G4double)nbGamma/TotNbofEvents;
+  G4double Elect = (G4double)nbElect/TotNbofEvents;
+  G4double Posit = (G4double)nbPosit/TotNbofEvents;
 
   G4double transmit[2];
@@ -252,19 +252,32 @@
   // compute width of the Gaussian central part of the MultipleScattering
   //
-  if (histoManager->HistoExist(13)) {
-    G4cout << "\n MultipleScattering:" 
-           << "\n  rms proj angle of transmit primary particle = "
-           << rmsMsc/mrad << " mrad (central part only)" << G4endl;
-
-    G4cout << "  computed theta0 (Highland formula)          = "
- 	   << ComputeMscHighland()/mrad << " mrad" << G4endl;
+  G4cout << "\n MultipleScattering:" 
+	 << "\n  rms proj angle of transmit primary particle = "
+	 << rmsMsc/mrad << " mrad (central part only)" << G4endl;
+
+  G4cout << "  computed theta0 (Highland formula)          = "
+	 << ComputeMscHighland()/mrad << " mrad" << G4endl;
 	   
-    G4cout << "  central part defined as +- "
- 	   << MscThetaCentral/mrad << " mrad; " 
-	   << "  Tail ratio = " << tailMsc << " %" << G4endl;	   
-  }
+  G4cout << "  central part defined as +- "
+	 << MscThetaCentral/mrad << " mrad; " 
+	 << "  Tail ratio = " << tailMsc << " %" << G4endl;	   
 
   G4cout.precision(prec);
-
+  
+  // normalize histograms
+  //
+  G4int ih = 1;
+  G4double binWidth = histoManager->GetBinWidth(ih);
+  G4double unit     = histoManager->GetHistoUnit(ih);  
+  G4double fac = unit/(TotNbofEvents*binWidth);
+  histoManager->Scale(ih,fac);
+    
+  ih = 10;
+  binWidth = histoManager->GetBinWidth(ih);
+  unit     = histoManager->GetHistoUnit(ih);  
+  fac = unit/(TotNbofEvents*binWidth);
+  histoManager->Scale(ih,fac);
+    
+  // save histograms
   histoManager->save();
 
Index: trunk/examples/extended/electromagnetic/TestEm5/src/StackingAction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm5/src/StackingAction.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm5/src/StackingAction.cc	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: StackingAction.cc,v 1.7 2006/09/25 17:06:29 maire Exp $
-// GEANT4 tag $Name:  $
+// $Id: StackingAction.cc,v 1.8 2009/03/06 18:04:23 maire Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -79,7 +79,10 @@
   //stack or delete secondaries
   G4ClassificationOfNewTrack status = fUrgent;
-  if (killSecondary) 
-    {if (killSecondary == 1) eventaction->AddEnergy(energy);  
-     status = fKill;}
+  if (killSecondary) {
+    if (killSecondary == 1) {
+     eventaction->AddEnergy(energy);
+    }  
+     status = fKill;
+  }
     
   return status;
Index: trunk/examples/extended/electromagnetic/TestEm5/src/StackingMessenger.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm5/src/StackingMessenger.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm5/src/StackingMessenger.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: StackingMessenger.cc,v 1.5 2006/09/25 17:06:29 maire Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm5/src/StepMax.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm5/src/StepMax.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm5/src/StepMax.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: StepMax.cc,v 1.2 2006/06/29 16:56:21 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm5/src/StepMaxMessenger.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm5/src/StepMaxMessenger.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm5/src/StepMaxMessenger.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: StepMaxMessenger.cc,v 1.3 2006/06/29 16:56:23 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm5/src/SteppingAction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm5/src/SteppingAction.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm5/src/SteppingAction.cc	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: SteppingAction.cc,v 1.7 2006/06/29 16:56:25 gunter Exp $
-// GEANT4 tag $Name:  $
+// $Id: SteppingAction.cc,v 1.8 2009/03/06 18:04:23 maire Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -57,5 +57,5 @@
  if (aStep->GetPreStepPoint()->GetTouchableHandle()->GetVolume() 
      != detector->GetAbsorber()) return;
- 
+
  eventaction->AddEnergy (aStep->GetTotalEnergyDeposit());
    
@@ -67,5 +67,5 @@
    eventaction->AddTrakLenNeutr(aStep->GetStepLength());
    eventaction->CountStepsNeutr();   
- }     
+ }
 }
 
Index: trunk/examples/extended/electromagnetic/TestEm5/src/SteppingVerbose.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm5/src/SteppingVerbose.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm5/src/SteppingVerbose.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: SteppingVerbose.cc,v 1.3 2006/06/29 16:56:27 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm5/src/TrackingAction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm5/src/TrackingAction.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm5/src/TrackingAction.cc	(revision 1230)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: TrackingAction.cc,v 1.16 2007/11/28 12:37:57 maire Exp $
-// GEANT4 tag $Name:  $
+// $Id: TrackingAction.cc,v 1.18 2008/08/28 15:28:04 maire Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -65,8 +65,9 @@
 {
   G4ThreeVector position = aTrack->GetPosition();
-  G4double charge    = aTrack->GetDefinition()->GetPDGCharge();
+  G4ThreeVector vertex   = aTrack->GetVertexPosition();  
+  G4double charge        = aTrack->GetDefinition()->GetPDGCharge();
 
-  G4bool transmit = (position.x() >= xendAbs);
-  G4bool reflect  = (position.x() <= xstartAbs);
+  G4bool transmit = ((position.x() >= xendAbs) && (vertex.x() < xendAbs));
+  G4bool reflect  =  (position.x() <= xstartAbs);
   G4bool notabsor = (transmit || reflect);
 
@@ -82,5 +83,4 @@
   //histograms
   //
-  G4int id = 0;
   G4bool charged  = (charge != 0.);
   G4bool neutral = !charged;
@@ -88,9 +88,11 @@
   //energy spectrum at exit
   //
+  G4int id = 0;  
        if (transmit && charged) id = 10;
   else if (transmit && neutral) id = 20;
   else if (reflect  && charged) id = 30;
   else if (reflect  && neutral) id = 40;
-  
+
+  if (id>0)   
   histoManager->FillHisto(id, aTrack->GetKineticEnergy());
     
@@ -108,4 +110,6 @@
   //space angle distribution at exit : dN/dOmega
   //
+  G4ThreeVector direction = aTrack->GetMomentumDirection();    
+  id = 0;   
        if (transmit && charged) id = 12;
   else if (transmit && neutral) id = 22;
@@ -113,6 +117,5 @@
   else if (reflect  && neutral) id = 42;
 
-  G4ThreeVector direction = aTrack->GetMomentumDirection();  
-  if (histoManager->HistoExist(id)) {
+  if (id>0) {
     G4double theta  = std::acos(direction.x());
     G4double dteta  = histoManager->GetBinWidth(id);
@@ -124,4 +127,5 @@
   //energy fluence at exit : dE(MeV)/dOmega
   //
+  id = 0;  
        if (transmit && charged) id = 11;
   else if (transmit && neutral) id = 21;
@@ -129,5 +133,5 @@
   else if (reflect  && neutral) id = 41;
 
-  if (histoManager->HistoExist(id)) {
+  if (id>0) {
     G4double theta  = std::acos(direction.x());
     G4double dteta  = histoManager->GetBinWidth(id);
@@ -140,4 +144,5 @@
   //projected angles distribution at exit
   //
+  id = 0;   
        if (transmit && charged) id = 13;
   else if (transmit && neutral) id = 23;
@@ -157,4 +162,5 @@
   //projected position and radius at exit
   //
+  id = 0;   
   if (transmit && charged) id = 14;
   
Index: trunk/examples/extended/electromagnetic/TestEm5/tramu.mac
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm5/tramu.mac	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm5/tramu.mac	(revision 1230)
@@ -1,3 +1,3 @@
-# $Id: tramu.mac,v 1.7 2007/07/31 16:51:29 maire Exp $
+# $Id: tramu.mac,v 1.13 2008/10/31 11:36:46 maire Exp $
 #
 # macro file for TestEm5.cc
@@ -14,6 +14,4 @@
 /testem/det/setAbsYZ    3 m
 #
-##/testem/phys/addPhysics g4v52
-#
 /testem/phys/setCuts 1 mm
 #    
@@ -24,10 +22,11 @@
 /gun/energy 1 TeV
 #
-/testem/histo/setFileName tramu
-/testem/histo/setFileType hbook
-/testem/histo/setHisto 10  50  950 1000 GeV	#energy at exit  
+/testem/histo/setFileName tramu/tramu
+/testem/histo/setFileType root
+/testem/histo/setHisto 10  100  950 1000 GeV	#energy at exit  
 #
 /testem/stack/killSecondaries
 #
-/testem/event/printModulo 1000
-/run/beamOn 10000
+/testem/event/printModulo 10000
+#
+/run/beamOn 100000
Index: trunk/examples/extended/electromagnetic/TestEm6/GNUmakefile
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm6/GNUmakefile	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm6/GNUmakefile	(revision 1230)
@@ -1,3 +1,3 @@
-# $Id: GNUmakefile,v 1.13 2006/10/20 16:47:47 maire Exp $
+# $Id: GNUmakefile,v 1.14 2008/09/18 16:42:07 maire Exp $
 # --------------------------------------------------------------
 # GNUmakefile for examples module.  Gabriele Cosmo, 06/04/98.
@@ -17,15 +17,5 @@
 #### G4ANALYSIS_USE := true
 
-ifdef G4ANALYSIS_USE
-  CPPFLAGS += -DG4ANALYSIS_USE
-endif
-
 include $(G4INSTALL)/config/architecture.gmk
-
-ifdef G4ANALYSIS_USE
-  # for the aida-config command see the README file
-  CPPFLAGS += `aida-config --include`
-  LOADLIBS += `aida-config --lib`
-endif
 
 include $(G4INSTALL)/config/binmake.gmk
Index: trunk/examples/extended/electromagnetic/TestEm6/TestEm6.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm6/TestEm6.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm6/TestEm6.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: TestEm6.cc,v 1.15 2006/06/29 16:56:32 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 // 
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm6/include/DetectorConstruction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm6/include/DetectorConstruction.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm6/include/DetectorConstruction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorConstruction.hh,v 1.3 2006/06/29 16:56:34 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm6/include/DetectorMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm6/include/DetectorMessenger.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm6/include/DetectorMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorMessenger.hh,v 1.4 2006/06/29 16:56:37 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm6/include/EventAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm6/include/EventAction.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm6/include/EventAction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: EventAction.hh,v 1.3 2006/06/29 16:56:40 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm6/include/EventActionMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm6/include/EventActionMessenger.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm6/include/EventActionMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: EventActionMessenger.hh,v 1.3 2006/06/29 16:56:43 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm6/include/PhysicsList.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm6/include/PhysicsList.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm6/include/PhysicsList.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PhysicsList.hh,v 1.7 2006/06/29 16:56:45 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm6/include/PhysicsListMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm6/include/PhysicsListMessenger.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm6/include/PhysicsListMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PhysicsListMessenger.hh,v 1.5 2006/06/29 16:56:47 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm6/include/PrimaryGeneratorAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm6/include/PrimaryGeneratorAction.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm6/include/PrimaryGeneratorAction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PrimaryGeneratorAction.hh,v 1.3 2006/06/29 16:56:49 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm6/include/PrimaryGeneratorMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm6/include/PrimaryGeneratorMessenger.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm6/include/PrimaryGeneratorMessenger.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PrimaryGeneratorMessenger.hh,v 1.3 2006/06/29 16:56:52 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm6/include/RunAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm6/include/RunAction.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm6/include/RunAction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: RunAction.hh,v 1.9 2006/06/29 16:56:54 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm6/include/SteppingAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm6/include/SteppingAction.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm6/include/SteppingAction.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: SteppingAction.hh,v 1.4 2006/06/29 16:56:56 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm6/include/SteppingVerbose.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm6/include/SteppingVerbose.hh	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm6/include/SteppingVerbose.hh	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: SteppingVerbose.hh,v 1.3 2006/06/29 16:56:58 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //   This class manages the verbose outputs in G4SteppingManager. 
Index: trunk/examples/extended/electromagnetic/TestEm6/src/DetectorConstruction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm6/src/DetectorConstruction.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm6/src/DetectorConstruction.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorConstruction.cc,v 1.10 2006/06/29 16:57:00 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm6/src/DetectorMessenger.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm6/src/DetectorMessenger.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm6/src/DetectorMessenger.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorMessenger.cc,v 1.5 2006/06/29 16:57:02 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm6/src/EventAction.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm6/src/EventAction.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm6/src/EventAction.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: EventAction.cc,v 1.6 2006/06/29 16:57:04 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm6/src/EventActionMessenger.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm6/src/EventActionMessenger.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm6/src/EventActionMessenger.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: EventActionMessenger.cc,v 1.6 2006/06/29 16:57:07 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm6/src/PhysicsList.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm6/src/PhysicsList.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm6/src/PhysicsList.cc	(revision 1230)
@@ -24,6 +24,6 @@
 // ********************************************************************
 //
-// $Id: PhysicsList.cc,v 1.12 2006/06/29 16:57:09 gunter Exp $
-// GEANT4 tag $Name:  $
+// $Id: PhysicsList.cc,v 1.13 2009/05/13 17:25:33 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -190,8 +190,8 @@
       // to make the process of e+e- annihilation more visible,
       // do not enable the other standard processes:
-      // pmanager->AddProcess(new G4MultipleScattering,-1, 1,1);
-      // pmanager->AddProcess(new G4eIonisation,       -1, 2,2);
-      // pmanager->AddProcess(new G4eBremsstrahlung,   -1, 3,3);
-      // pmanager->AddProcess(new G4eplusAnnihilation,  0,-1,4);
+      pmanager->AddProcess(new G4MultipleScattering,-1, 1,1);
+      pmanager->AddProcess(new G4eIonisation,       -1, 2,2);
+      pmanager->AddProcess(new G4eBremsstrahlung,   -1, 3,3);
+      pmanager->AddProcess(new G4eplusAnnihilation,  0,-1,4);
       
       theAnnihiToMuPairProcess = new G4AnnihiToMuPair();
@@ -230,4 +230,8 @@
   G4EmProcessOptions opt;
   opt.SetVerbose(1);
+  opt.SetMinEnergy(100*eV);       
+  opt.SetMaxEnergy(1000*TeV);      
+  opt.SetDEDXBinning(13*7);      
+  opt.SetLambdaBinning(13*7);    
 }
 
Index: trunk/examples/extended/electromagnetic/TestEm6/src/PhysicsListMessenger.cc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm6/src/PhysicsListMessenger.cc	(revision 1187)
+++ trunk/examples/extended/electromagnetic/TestEm6/src/PhysicsListMessenger.cc	(revision 1230)
@@ -25,5 +25,5 @@
 //
 // $Id: PhysicsListMessenger.cc,v 1.8 2006/06/29 16:57:11 gunter Exp $
-// GEANT4 tag $Name:  $
+// GEANT4 tag $Name: geant4-09-03-cand-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
